package com.phm.manage.mapper;

import com.phm.manage.domain.PreHandleResult;

import java.util.List;

/**
 * 数据预处理结果Mapper接口
 *
 * @author phm
 * @date 2023-08-22
 */
public interface PreHandleResultMapper {
    /**
     * 查询数据预处理结果
     *
     * @param id 数据预处理结果主键
     * @return 数据预处理结果
     */
    public PreHandleResult selectPreHandleResultById(Long id);

    /**
     * 查询数据预处理结果列表
     *
     * @param preHandleResult 数据预处理结果
     * @return 数据预处理结果集合
     */
    public List<PreHandleResult> selectPreHandleResultList(PreHandleResult preHandleResult);

    /**
     * 新增数据预处理结果
     *
     * @param preHandleResult 数据预处理结果
     * @return 结果
     */
    public int insertPreHandleResult(PreHandleResult preHandleResult);

    /**
     * 修改数据预处理结果
     *
     * @param preHandleResult 数据预处理结果
     * @return 结果
     */
    public int updatePreHandleResult(PreHandleResult preHandleResult);

    /**
     * 删除数据预处理结果
     *
     * @param id 数据预处理结果主键
     * @return 结果
     */
    public int deletePreHandleResultById(Long id);

    /**
     * 批量删除数据预处理结果
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deletePreHandleResultByIds(Long[] ids);
}
